﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Rdvmedecins.Web._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Médecins associés</title>

  <script type="text/javascript">
    function effacerInfos() {
      with (document.frmRvMedecins) {
        TextBoxJour.value = "";
        DropDownListMedecins.selectedIndex = 0;
      } //with
    } //effacerInfos
  </script>

</head>

<body background="ressources/standard.jpg">
  <form id="frmRvMedecins" runat="server">
  <h2>
    Cabinet médical - LES MEDECINS ASSOCIES -</h2>
  <hr />
  <asp:MultiView ID="Vues" runat="server">
    <asp:View ID="ViewSaisies" runat="server">
      Prise de rendez-vous :
      <br />
      <br />
      <table>
        <tr>
          <td>
            Médecin
          </td>
          <td>
            &nbsp;<asp:DropDownList ID="DropDownListMedecins" runat="server">
            </asp:DropDownList>
          </td>
          <td>
          </td>
        </tr>
        <tr>
          <td>
            Jour (JJ/MM/AAAA)
          </td>
          <td>
            <asp:TextBox ID="TextBoxJour" runat="server"></asp:TextBox>
          </td>
          <td>
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorJour" runat="server" ControlToValidate="TextBoxJour"
              Display="Dynamic" EnableViewState="False" ErrorMessage="Date requise">
            </asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="RegularExpressionValidatorJour" runat="server"
              ControlToValidate="TextBoxJour" Display="Dynamic" EnableViewState="False" ErrorMessage="Utilisez le format JJ/MM/AAAA"
              ValidationExpression="\s*\d{2}/\d{2}/\d{4}\s*"></asp:RegularExpressionValidator>
            <asp:CustomValidator ID="CustomValidatorJour" runat="server" ControlToValidate="TextBoxJour"
              Display="Dynamic" EnableViewState="False" ErrorMessage="Date invalide" 
              onservervalidate="CustomValidatorJour_ServerValidate">
            </asp:CustomValidator>
          </td>
        </tr>
      </table>
      <p>
        &nbsp;<asp:Button ID="ButtonValider" runat="server" CausesValidation="False" 
          Text="Valider" onclick="ButtonValider_Click" />
        <input type="button" value="Effacer" onclick="effacerInfos()" /></p>
    </asp:View>
    <asp:View ID="ViewErreurs" runat="server">
      <h2>
        Les erreurs suivantes se sont produites :</h2>
      <br />
      <ul>
        <asp:Repeater ID="RptErreurs" runat="server" EnableViewState="False">
          <ItemTemplate>
            <li>
              <%# Container.DataItem %>
            </li>
          </ItemTemplate>
        </asp:Repeater>
      </ul>
    </asp:View>
    <asp:View ID="ViewListeRv" runat="server">
      <asp:Button ID="ButtonAccueil" runat="server" CausesValidation="False" 
        Text="Accueil" onclick="ButtonAccueil_Click" />
      <br />
      <br />
      <asp:Label ID="LabelRvMedecinJour" runat="server"></asp:Label><br />
      <br />
      <asp:GridView ID="GridViewRVMedecinJour" runat="server" AutoGenerateColumns="False"
        CellPadding="4" EnableViewState="False" ForeColor="#333333" GridLines="None" 
        onrowcommand="GridViewRVMedecinJour_RowCommand">
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <Columns>
          <asp:BoundField DataField="CreneauHoraire" HeaderText="Cr&#233;neau horaire">
            <HeaderStyle HorizontalAlign="Center" />
          </asp:BoundField>
          <asp:BoundField DataField="Client" HeaderText="Client">
            <HeaderStyle HorizontalAlign="Center" />
          </asp:BoundField>
          <asp:ButtonField CommandName="Action" DataTextField="Commande" HeaderText="Action">
            <HeaderStyle HorizontalAlign="Center" />
          </asp:ButtonField>
          <asp:BoundField DataField="IdCreneau" Visible="False" />
        </Columns>
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <EditRowStyle BackColor="#999999" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
      </asp:GridView>
    </asp:View>
    <asp:View ID="ViewChoixClient" runat="server">
      <asp:Label ID="LabelIdRv" runat="server" EnableViewState="False"></asp:Label><br />
      <br />
      <table style="width: 115px">
        <tr>
          <td>
            Client
          </td>
          <td style="width: 5px">
            <asp:DropDownList ID="DropDownListClients" runat="server">
            </asp:DropDownList>
          </td>
        </tr>
        <tr>
          <td>
            <asp:Button ID="ButtonvaliderRv" runat="server" Text="Valider" 
              onclick="ButtonvaliderRv_Click" />
          </td>
          <td style="width: 5px">
            <asp:Button ID="ButtonAnnulerRv" runat="server" Text="Annuler" 
              onclick="ButtonAnnulerRv_Click" />
          </td>
        </tr>
      </table>
    </asp:View>
  </asp:MultiView>
  </form>
</body>
</html>
