--------------------------------------------------------
--  Fichier cr - vendredi-octobre-12-2012   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence SEQUENCE_CLIENTS
--------------------------------------------------------

   CREATE SEQUENCE  "RDVMEDECINS-EF"."SEQUENCE_CLIENTS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 181 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQUENCE_CRENEAUX
--------------------------------------------------------

   CREATE SEQUENCE  "RDVMEDECINS-EF"."SEQUENCE_CRENEAUX"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 641 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQUENCE_MEDECINS
--------------------------------------------------------

   CREATE SEQUENCE  "RDVMEDECINS-EF"."SEQUENCE_MEDECINS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 81 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQUENCE_RVS
--------------------------------------------------------

   CREATE SEQUENCE  "RDVMEDECINS-EF"."SEQUENCE_RVS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 41 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQUENCE_VERSIONS
--------------------------------------------------------

   CREATE SEQUENCE  "RDVMEDECINS-EF"."SEQUENCE_VERSIONS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 381 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table CLIENTS
--------------------------------------------------------

  CREATE TABLE "RDVMEDECINS-EF"."CLIENTS" 
   (	"ID" NUMBER(*,0), 
	"NOM" VARCHAR2(30 BYTE), 
	"PRENOM" VARCHAR2(30 BYTE), 
	"TITRE" VARCHAR2(5 BYTE), 
	"VERSIONING" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table CRENEAUX
--------------------------------------------------------

  CREATE TABLE "RDVMEDECINS-EF"."CRENEAUX" 
   (	"ID" NUMBER(*,0), 
	"HDEBUT" NUMBER(*,0), 
	"MDEBUT" NUMBER(*,0), 
	"HFIN" NUMBER(*,0), 
	"MFIN" NUMBER(*,0), 
	"VERSIONING" NUMBER, 
	"MEDECIN_ID" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table MEDECINS
--------------------------------------------------------

  CREATE TABLE "RDVMEDECINS-EF"."MEDECINS" 
   (	"ID" NUMBER(*,0), 
	"NOM" VARCHAR2(30 BYTE), 
	"PRENOM" VARCHAR2(30 BYTE), 
	"TITRE" VARCHAR2(5 BYTE), 
	"VERSIONING" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table RVS
--------------------------------------------------------

  CREATE TABLE "RDVMEDECINS-EF"."RVS" 
   (	"ID" NUMBER(*,0), 
	"JOUR" DATE, 
	"CRENEAU_ID" NUMBER(*,0), 
	"CLIENT_ID" NUMBER(*,0), 
	"VERSIONING" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index MEDECINS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "RDVMEDECINS-EF"."MEDECINS_PK" ON "RDVMEDECINS-EF"."MEDECINS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index CLIENTS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "RDVMEDECINS-EF"."CLIENTS_PK" ON "RDVMEDECINS-EF"."CLIENTS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index CRENEAUX_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "RDVMEDECINS-EF"."CRENEAUX_PK" ON "RDVMEDECINS-EF"."CRENEAUX" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index RVS_UK1
--------------------------------------------------------

  CREATE UNIQUE INDEX "RDVMEDECINS-EF"."RVS_UK1" ON "RDVMEDECINS-EF"."RVS" ("CRENEAU_ID", "JOUR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index RVS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "RDVMEDECINS-EF"."RVS_PK" ON "RDVMEDECINS-EF"."RVS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  Constraints for Table CLIENTS
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" MODIFY ("VERSIONING" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" ADD CONSTRAINT "CLIENTS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" MODIFY ("TITRE" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CLIENTS" MODIFY ("PRENOM" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table MEDECINS
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" MODIFY ("VERSIONING" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" ADD CONSTRAINT "MEDECINS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" MODIFY ("TITRE" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" MODIFY ("PRENOM" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."MEDECINS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table RVS
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."RVS" ADD CONSTRAINT "RVS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "RDVMEDECINS-EF"."RVS" MODIFY ("CLIENT_ID" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."RVS" MODIFY ("CRENEAU_ID" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."RVS" MODIFY ("JOUR" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."RVS" MODIFY ("ID" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."RVS" MODIFY ("VERSIONING" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CRENEAUX
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("VERSIONING" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("MEDECIN_ID" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" ADD CONSTRAINT "CRENEAUX_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("MFIN" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("HFIN" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("MDEBUT" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("HDEBUT" NOT NULL ENABLE);
  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" MODIFY ("ID" NOT NULL ENABLE);

--------------------------------------------------------
--  Ref Constraints for Table CRENEAUX
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."CRENEAUX" ADD CONSTRAINT "CRENEAUX_MEDECINS_FK1" FOREIGN KEY ("MEDECIN_ID")
	  REFERENCES "RDVMEDECINS-EF"."MEDECINS" ("ID") ON DELETE CASCADE ENABLE;

--------------------------------------------------------
--  Ref Constraints for Table RVS
--------------------------------------------------------

  ALTER TABLE "RDVMEDECINS-EF"."RVS" ADD CONSTRAINT "RVS_CLIENTS_FK1" FOREIGN KEY ("CLIENT_ID")
	  REFERENCES "RDVMEDECINS-EF"."CLIENTS" ("ID") ON DELETE CASCADE ENABLE;
  ALTER TABLE "RDVMEDECINS-EF"."RVS" ADD CONSTRAINT "RVS_CRENEAUX_FK1" FOREIGN KEY ("CRENEAU_ID")
	  REFERENCES "RDVMEDECINS-EF"."CRENEAUX" ("ID") ON DELETE CASCADE ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PK_CLIENTS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_CLIENTS" 
 BEFORE INSERT
 ON "RDVMEDECINS-EF".CLIENTS
REFERENCING NEW AS NEW OLD AS OLD FOR EACH ROW
BEGIN
		SELECT SEQUENCE_CLIENTS.NEXTVAL INTO :new.ID from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_CLIENTS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PK_CRENEAUX
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_CRENEAUX" BEFORE
  INSERT
  ON "CRENEAUX"
FOR EACH ROW BEGIN
		SELECT SEQUENCE_CRENEAUX.NEXTVAL INTO :new.ID from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_CRENEAUX" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PK_MEDECINS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_MEDECINS" BEFORE
  INSERT
  ON "MEDECINS"
FOR EACH ROW BEGIN
		SELECT SEQUENCE_MEDECINS.NEXTVAL INTO :new.ID from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_MEDECINS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_PK_RVS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_RVS" BEFORE
  INSERT
  ON "RVS"
FOR EACH ROW BEGIN
		SELECT SEQUENCE_RVS.NEXTVAL INTO :new.ID from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_PK_RVS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_VERSION_CLIENTS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_CLIENTS" BEFORE INSERT OR UPDATE
 ON "RDVMEDECINS-EF".CLIENTS FOR EACH ROW
BEGIN
		SELECT SEQUENCE_VERSIONS.NEXTVAL INTO :new.VERSIONING from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_CLIENTS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_VERSION_CRENEAUX
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_CRENEAUX" 
 BEFORE INSERT OR UPDATE
 ON "RDVMEDECINS-EF".CRENEAUX FOR EACH ROW
BEGIN
		SELECT SEQUENCE_VERSIONS.NEXTVAL INTO :new.VERSIONING from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_CRENEAUX" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_VERSION_MEDECINS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_MEDECINS" BEFORE INSERT OR UPDATE
 ON "RDVMEDECINS-EF".MEDECINS FOR EACH ROW
BEGIN
		SELECT SEQUENCE_VERSIONS.NEXTVAL INTO :new.VERSIONING from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_MEDECINS" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRIGGER_VERSION_RVS
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_RVS" 
 BEFORE INSERT OR UPDATE
 ON "RDVMEDECINS-EF".RVS FOR EACH ROW
BEGIN
		SELECT SEQUENCE_VERSIONS.NEXTVAL INTO :new.VERSIONING from DUAL;
END;

/
ALTER TRIGGER "RDVMEDECINS-EF"."TRIGGER_VERSION_RVS" ENABLE;
